summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/timeouts/prereq.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests/system/timeouts/prereq.sh')
-rw-r--r--bin/tests/system/timeouts/prereq.sh20
1 files changed, 9 insertions, 11 deletions
diff --git a/bin/tests/system/timeouts/prereq.sh b/bin/tests/system/timeouts/prereq.sh
index 0fac912..a37df94 100644
--- a/bin/tests/system/timeouts/prereq.sh
+++ b/bin/tests/system/timeouts/prereq.sh
@@ -13,18 +13,16 @@
. ../conf.sh
-if test -n "$PYTHON"
-then
- if $PYTHON -c "from dns.query import send_tcp" 2> /dev/null
- then
- :
- else
- echo_i "This test requires the dnspython >= 2.0.0 module." >&2
- exit 1
- fi
-else
- echo_i "This test requires Python and the dnspython module." >&2
+if test -n "$PYTHON"; then
+ if $PYTHON -c "from dns.query import send_tcp" 2>/dev/null; then
+ :
+ else
+ echo_i "This test requires the dnspython >= 2.0.0 module." >&2
exit 1
+ fi
+else
+ echo_i "This test requires Python and the dnspython module." >&2
+ exit 1
fi
exit 0